package com.iscs.bozzys.ui.base

import androidx.lifecycle.ViewModel
import kotlinx.coroutines.flow.MutableSharedFlow

/**
 * 基类Model需要其他继承
 */
open class VMBase : ViewModel() {

    /**
     * Toast 事件
     */
    val toastEvent = MutableSharedFlow<Any>()

    val loadingEvent = MutableSharedFlow<StateLoading>()
}